<id>
Search New Show New SP1.3.1
</id>

<version>
1.0b
</version>

<mod info>
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Add two new search functions to your YaBB forum!
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

1) "Search New" - search only in unread posts
2) "Show New" - show ALL unread posts in a tree view format - this rocks!

I updated this mod from SP1 and my forum users absolutely love it so I thought I would share :)

See this mod working at http://mytreo.net/cgi-bin/testyabb/yabb.cgi (u/n test p/w test or create your own!)

Screenshots 
http://mytreo.net/images/yabbmods/searchnew_form.gif
http://mytreo.net/images/yabbmods/shownew_results.gif

~~~~~~~~~~~~~
Instructions: 
~~~~~~~~~~~~~
Should easily install on even heavily modded boards since the code is virtually all in SearchNew.pl

Before starting!!
If you DO have the "Add More Membergroups" mod installed then rename SearchNew.AMM.pl to SearchNew.pl
If you DO NOT have the "Add More Membergroups" mod installed then rename SearchNew.withoutAMM.pl to SearchNew.pl

1) Upload SearchNew.pl to your /Sources directory
2) Upload the gif files to your /YaBBImages directory
3) Apply the mod and upload the changed files: 
	Subs.pl and Sublist.pl to /Sources
	english.lng to your main YaBB directory.

Voila Viola!

~~~~~~~~~~~~~~~~
Version History:
~~~~~~~~~~~~~~~~

Version 1.2b	New admin option to set max number of results
		New Admin option to set the number of characters to display from the begininng of each post in results view
		Added Check All box in results view
		Removed the UBBC from the results display (thanks TheSkier)
		Put in a missing ; (thanks again to TheSkier)

Version 1.0b	Updated to SP 1.3.1
		Added "Show New" feature - displays ALL unread posts in tree view format
		Added "Mark selected as read" to the results page
		Fixed Javascript bugs in Search New page
		Made SearchNew.pl compatible with Add More Membergroups Mod

Version 0.1   	First release by Forge[FU] http://www.forgeunited.com
</mod info>

<author>
eChris
</author>

<homepage>
http://mytreo.net/forum
</homepage>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
'markallasread',"BoardIndex.pl&MarkAllRead",
</search for>

<add after>
'markselectedread',"SearchNew.pl&MarkSelectedRead",
</add after>

<search for>
'search2',"Search.pl&plushSearch2",
</search for>

<add after>
'searchnew',"SearchNew.pl&NewSearch",
'searchnewresults',"SearchNew.pl&NewSearchResults",
</add after>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	$yymenu = qq~<a href="$scripturl">$img{'home'}</a>$menusep<a href="$helpfile" target="_blank" style="cursor:help;">$img{'help'}</a>$menusep<a href="$cgi;action=search">$img{'search'}</a>$menusep<a href="$scripturl?action=mlall">$img{'memberlist'}</a>~;
</search for>

<replace>
	$yymenu = qq~<a href="$scripturl">$img{'home'}</a>$menusep<a href="$helpfile" target="_blank" style="cursor:help;">$img{'help'}</a>$menusep<a href="$cgi;action=search">$img{'search'}</a>~;
	if($username ne 'Guest') { $yymenu .= qq~$menusep<a href="$scripturl?action=searchnew">$img{'searchnew'}</a>$menusep<a href="$scripturl?action=searchnewresults">$img{'shownew'}</a>~; } 
	$yymenu .= qq~$menusep<a href="$scripturl?action=mlall">$img{'memberlist'}</a>~;
</replace>

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'740'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="showyabbcbutt" $syabbcchecked></td>
  </tr><tr>
</search for>

<add after>
  <!-- SEARCHNEW MOD START -->
    <td colspan=2 class="windowbg2" bgcolor="$color{'windowbg2'}">
    <HR size=1 width="100%" class="hr"></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$searchnew{'07'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="maxsearchnew" value="$maxsearchnew" size="5"></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$searchnew{'08'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="chompsearchnew" value="$chompsearchnew" size="5"></td>
  </tr><tr>
  <!-- SEARCHNEW MOD FINISH -->
</add after>

<search for>
	$timeout = $FORM{'timeout'} || 5;
</search for>

<add before>
	## SEARCHNEW MOD START ##
	$maxsearchnew = $FORM{'maxsearchnew'} || 250;
	$chompsearchnew = $FORM{'chompsearchnew'} || 60;
	## SEARCHNEW MOD END ##
</add before>

<search for>
\$Show_RecentBar = $showrecentbar;			# Set to 1 to display the Recent Post on Board Index
</search for>

<add after>
\$maxsearchnew = $maxsearchnew;					# Maximum number of results to display in Search/Show New (default 250)
\$chompsearchnew = $chompsearchnew;					# Number of characters of the beginning of each post to display in Search/Show New (default 60)
</add after>

<edit file>
english.lng
</edit file>

<search for>
$txt{'749'} = "The 'number of posts' box can only contain digits.";
</search for>

<add after>
$searchnew{'01'} = "Messages I haven't seen before.";
$searchnew{'02'} = "Messages within range:";
$searchnew{'03'} = "Search new messages in treeview"; 
$searchnew{'03a'} = "Show new messages in treeview"; 
$searchnew{'04'} = "Mark selected as read";
$searchnew{'05'} = "Search New";
$searchnew{'06'} = "Show New";
$searchnew{'07'} = "Maximum number of results to display in Search/Show New (default 250):";
$searchnew{'08'} = "Number of characters of the beginning of each post to display in Search/Show New (default 60)";
</add after>

<search for>
	$img{'search'} = qq~<font size="1" class="imgmenu">$txt{'182'}</font>~;
</search for>

<add after>
	$img{'searchnew'} = qq~<font size="1" class="imgmenu">$searchnew{'05'}</font>~;
	$img{'shownew'} = qq~<font size="1" class="imgmenu">$searchnew{'06'}</font>~;
</add after>

<search for>
	$img{'search'} = qq~<img src="$imagesdir/search.gif" alt="$txt{'182'}" border="0"> <font size="1" class="imgmenu">$txt{'182'}</font>~;
</search for>

<add after>
	$img{'searchnew'} = qq~<img src="$imagesdir/searchnew.gif" alt="$searchnew{'03'}" border="0"> <font size="1" class="imgmenu">$searchnew{'05'}</font>~;
	$img{'shownew'} = qq~<img src="$imagesdir/shownew.gif" alt="$searchnew{'03a'}" border="0">  <font size="1" class="imgmenu">$searchnew{'06'}</font>~;
</add after>